$ErrorActionPreference = 'Stop';

$packageName    = 'Fogg'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url            = 'https://github.com/Badgerati/Fogg/releases/download/v0.7.0/0.7.0-Binaries.zip'
$checksum       = 'CDC98F3D8509EFF0D8115D39DFF51498040436D668680D7308748CB7012A2B08'
$checksumType   = 'sha256'

$packageArgs = @{
  PackageName   = $packageName
  UnzipLocation = $toolsDir
  Url           = $url
  Checksum      = $checksum
  ChecksumType  = $checksumType
}

# Download
Install-ChocolateyZipPackage @packageArgs

# Install
$path = Join-Path $env:chocolateyPackageFolder 'tools/src'
Push-Location $path

try
{
    Write-Host 'Updating environment Path'
    Install-ChocolateyPath -PathToInstall $path -PathType 'Machine'
    Update-SessionEnvironment
}
finally
{
    Pop-Location
}
